Bug 247527 - net-im/telegram-desktop: update to 2.1.13
Summary: net-im/telegram-desktop: update to 2.1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2020-06-24 20:51 UTC by Volodymyr Kostyrko
Modified: 2020-06-28 05:46 UTC (History)
3 users (show)

See Also:
henry.hu.sh: maintainer-feedback+
arcade: maintainer-feedback? (arcade)


Attachments
update to 2.1.3 (35.33 KB, patch)
2020-06-24 20:51 UTC, Volodymyr Kostyrko
arcade: maintainer-approval? (arcade)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Kostyrko 2020-06-24 20:51:01 UTC
Created attachment 215917 [details]
update to 2.1.3

Actually haven't build it, I'm from DragonFly so I just patched it for myself and prepared a patch for FreeBSD too.
Comment 1 Li-Wen Hsu freebsd_committer 2020-06-27 18:55:53 UTC
Running it on 13-CURRENT and tested in poudriere, looks good to me.
Comment 2 Henry Hu 2020-06-28 03:00:19 UTC
I see that a lot of patches are removed. Is it because now a bunch of #ifdef is based on Q_OS_UNIX, so FreeBSD is covered automatically?
Comment 3 Henry Hu 2020-06-28 03:26:49 UTC
I reviewed the patch. Mostly it's fine. I think since now Telegram/SourceFiles/core/update_checker.cpp already checks for Q_OS_UNIX, our patch can be simply reverted. Anyway we don't care about the auto updater.
It's great that they are making the code to work unchanged on non-Linux unix-like systems. A lot of FreeBSD-specific patches can be removed.
Comment 4 commit-hook freebsd_committer 2020-06-28 05:46:52 UTC
A commit references this bug:

Author: lwhsu
Date: Sun Jun 28 05:46:49 UTC 2020
New revision: 540676
URL: https://svnweb.freebsd.org/changeset/ports/540676

Log:
  Update to 2.1.13

  PR:		247527
  Submitted by:	Volodymyr Kostyrko <arcade@b1t.name>
  Approved by:	Henry Hu <henry.hu.sh@gmail.com (maintainer)

Changes:
  head/net-im/telegram-desktop/Makefile
  head/net-im/telegram-desktop/distinfo
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles___other_packer.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_core_launcher.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_core_update__checker.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_admin__log_history__admin__log__inner.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_history__inner__widget.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_view_history__view__list__widget.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_logs.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__audio.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__file__utilities.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__launcher.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__main__window.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__notifications__manager.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__specific.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__window__title.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_qt__static__plugins.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_settings_settings__notifications.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_window_main__window.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_lib__base_base_platform_base__platform__file__utilities.h
  head/net-im/telegram-desktop/files/patch-Telegram_lib__base_base_platform_base__platform__info.h
  head/net-im/telegram-desktop/files/patch-Telegram_lib__base_base_platform_linux_base__info__linux.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_lib__ui_ui_platform_ui__platform__utility.h
  head/net-im/telegram-desktop/files/patch-Telegram_lib__ui_ui_style_style__core__font.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_lib__ui_ui_widgets_labels.cpp
  head/net-im/telegram-desktop/files/patch-cmake_external_qt_CMakeLists.txt